from pydantic import BaseModel
from datetime import datetime


# Base schemas with shared attributes
class BaseSchema(BaseModel):
    date_created: datetime
    date_modified: datetime

    class Config:
        from_attributes = True  # Allows conversion from SQLAlchemy models